zenilib: TStructure Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
TStructure Class Reference

`#include <Types.h>`

## Public Member Functions

| TStructure (TString *name, TFieldList *fields)
bool | containsArrays () const
int | deepestNesting () const
const TFieldList & | fields () const
const TString & | mangledName () const
const TString & | name () const
size_t | objectSize () const
| POOL_ALLOCATOR_NEW_DELETE ()

## Detailed Description

Definition at line 45 of file Types.h.

## Constructor & Destructor Documentation

TStructure::TStructure | ( | TString * | name,
|  | TFieldList * | fields
| ) |  |

inline

Definition at line 49 of file Types.h.

## Member Function Documentation

bool TStructure::containsArrays | ( |  | ) | const

Definition at line 83 of file SymbolTable.cpp.

References i, TType::isArray(), and TType::isStructureContainingArrays().

Referenced by TType::isStructureContainingArrays().

int TStructure::deepestNesting | ( |  | ) | const

inline

Definition at line 69 of file Types.h.

Referenced by TType::getDeepestStructNesting().

const TFieldList& TStructure::fields | ( |  | ) | const

inline

Definition at line 57 of file Types.h.

Referenced by sh::OutputHLSL::addConstructor(), TParseContext::addConstructor(), TParseContext::addConstStruct(), CompareStruct(), TParseContext::constructorErrorCheck(), TParseContext::containsSampler(), sh::OutputHLSL::declareUniform(), TType::elementRegisterCount(), getUserDefinedVariableInfo(), sh::OutputHLSL::typeString(), TOutputGLSLBase::visitBinary(), sh::OutputHLSL::visitBinary(), TOutputGLSLBase::writeConstantUnion(), and sh::OutputHLSL::writeConstantUnion().

const TString& TStructure::mangledName | ( |  | ) | const

inline

Definition at line 59 of file Types.h.

const TString& TStructure::name | ( |  | ) | const

inline

Definition at line 56 of file Types.h.

Referenced by sh::OutputHLSL::decorateField(), TOutputGLSLBase::getTypeName(), InsertBuiltInFunctions(), sh::OutputHLSL::typeString(), TOutputGLSLBase::visitAggregate(), sh::OutputHLSL::visitAggregate(), TOutputGLSLBase::visitBinary(), TOutputGLSLBase::writeConstantUnion(), and sh::OutputHLSL::writeConstantUnion().

size_t TStructure::objectSize | ( |  | ) | const

inline

Definition at line 64 of file Types.h.

Referenced by TType::getObjectSize().

TStructure::POOL_ALLOCATOR_NEW_DELETE | ( |  | ) |

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/Types.h
- zenilib/jni/external/angle/src/compiler/SymbolTable.cpp